---
title: "GET /_system/system_key_value/{guid}/secure - System Key-Value · RUAL Documentation"
description: "Get a system key-value pair including secure values (creates audit log entry)"
canonical: https://docs.rual.nl/cluster/api/system-key-value/system-system-key-value--guid--secure-get
language: en
---

# GET /_system/system_key_value/{guid}/secure

Get a system key-value pair including secure values (creates audit log entry)

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` | Unique identifier (GUID) |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "_meta": {
    "cms": 1782166695813,
    "created": 1782166695,
    "entity": 1,
    "expiry": 3600,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "removed": 0,
    "ums": 1782166695813,
    "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "updated": 1782166695
  },
  "is_secure": true,
  "key": "order_sync",
  "label": "Database host",
  "value": "enabled"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `404` | `ERROR` | Key-value pair not found |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `system_key_value_view` | Required scope: system_key_value_view |
